summaryrefslogtreecommitdiff
path: root/debian/mksnapshot
diff options
context:
space:
mode:
authorDavid Schleef <ds@schleef.org>2001-11-10 12:02:35 +0000
committerDavid Schleef <ds@schleef.org>2001-11-10 12:02:35 +0000
commit534a83fcf6edb644f1785091c2838c2e2915148e (patch)
tree6385c51850c09cff593aaa865a8bc3a1bbf48ec6 /debian/mksnapshot
parent577acda65c42ea3570dd4bb94ed6ab086891b49b (diff)
Limited Debian architectures to the ones we can actually build.
Improved mksnapshot script; now adds a bogus changelog entry. Added fixlinks script that automatically converts symlinks to conform to Debian policy and updated rules to use it. Added another bogus man page, prolonging the pretense that I'll actually write real ones.
Diffstat (limited to 'debian/mksnapshot')
-rwxr-xr-xdebian/mksnapshot38
1 files changed, 26 insertions, 12 deletions
diff --git a/debian/mksnapshot b/debian/mksnapshot
index 94e45c639..5ce56308b 100755
--- a/debian/mksnapshot
+++ b/debian/mksnapshot
@@ -1,20 +1,34 @@
-#!/bin/sh
+#!/bin/bash
-version=$(dpkg-parsechangelog | grep ^Version | sed 's/^Version: //' | sed 's/-1$//')
+topdir=$(pwd)
+today=$(date +%Y%m%d)
-dir=uclibc-${version}
+mkdir -p ${topdir}/uclibc-tmp
+cd ${topdir}/uclibc-tmp
-export CVSROOT='cvs.uclinux.org:/var/cvs'
-#export CVSROOT=':pserver:anonymous@cvs.uclinux.org:/var/cvs'
-#if ! grep -q '^.pserver.anonymous.cvs.uclinux.org..var.cvs' ~/.cvspass
-#then
-#echo "$CVSROOT" 'Ay=0=a%0bZ' >>~/.cvspass
-#fi
+export CVSROOT=':pserver:anonymous@cvs.uclinux.org:/var/cvs'
+if ! grep -q '^.pserver.anonymous.cvs.uclinux.org..var.cvs' ~/.cvspass
+then
+ echo "$CVSROOT" 'Ay=0=a%0bZ' >>~/.cvspass
+fi
-rm -rf ${dir}
-cvs co -d ${dir} uClibc
+cvs co uClibc
-tar -czvf ${dir}.tgz ${dir}
+cd ${topdir}/uclibc-tmp/uClibc/debian
+echo "uclibc (0.9.5-cvs${today}-1) unstable; urgency=low" >changelog.tmp
+echo >>changelog.tmp
+echo " * This is an automatic snapshot of uClibc CVS" >>changelog.tmp
+echo >>changelog.tmp
+echo " -- David Schleef <ds@schleef.org> $(date -R)" >>changelog.tmp
+cat changelog >>changelog.tmp
+mv changelog.tmp changelog
+cd ${topdir}/uclibc-tmp
+mv uClibc uclibc-cvs-${today}
+tar -czf ../uclibc-cvs-${today}.tgz uclibc-cvs-${today}
+
+
+cd ${topdir}
+rm -rf uclibc-tmp